## 8086tiny 111

=== Makefile ===
# 8086tiny: a tiny, highly functional, highly portable PC emulator/VM
# Copyright 2013, Adrian Cable (adrian.cable@gmail.com) - http://www.megalith.co.uk/8086tiny
#
# This work is licensed under the MIT License. See included LICENSE.TXT.

# Set -DNO_GRAPHICS to compile without SDL/graphics support
OPTS_ALL=-O3 -fsigned-char
OPTS_SDL=`sdl-config --cflags --libs`
OPTS_NOGFX=-DNO_GRAPHICS

8086tiny: 8086tiny.c
	${CC} 8086tiny.c ${OPTS_SDL} ${OPTS_ALL} -o 8086tiny

no_graphics: 8086tiny.c
	${CC} 8086tiny.c ${OPTS_NOGFX} ${OPTS_ALL} -o 8086tiny

clean:
	rm 8086tiny

## 8086tiny 1.25

=== debian/changelog ===
8086tiny (1.25-2) buster; urgency=medium

  * Add help2man dependency
  * Fix clean target

 -- Serge Schneider <serge@raspberrypi.org>  Mon, 14 Oct 2019 11:08:11 +0100

8086tiny (1.25-1) buster; urgency=medium

  * Initial release

 -- Serge Schneider <serge@raspberrypi.org>  Mon, 16 Sep 2019 15:42:15 +0100

=== debian/control ===
Source: 8086tiny
Section: otherosfs
Priority: optional
Maintainer: Serge Schneider <serge@raspberrypi.org>
Build-Depends: debhelper (>= 11), nasm, libsdl1.2-dev, help2man
Standards-Version: 4.1.3
Homepage: https://github.com/adriancable/8086tiny

Package: 8086tiny
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Open-source 8086 emulator
 8086tiny is a tiny, open-source (MIT), portable (little-endian hosts) Intel
 PC emulator, powerful enough to run DOS, Windows 3.0, Excel, MS Flight
 Simulator, AutoCAD, Lotus 1-2-3, and similar applications. 8086tiny emulates
 a "late 80's era" PC XT-type machine.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@

override_dh_auto_build: debian/bin/8086tiny debian/8086tiny.1
	dh_auto_build

debian/bin/8086tiny: debian/bin/8086tiny.in
	sed "s/DEB_VERSION_UPSTREAM/$(DEB_VERSION_UPSTREAM)/" $< > $@
	chmod +x $@

debian/8086tiny.1: debian/bin/8086tiny
	help2man -N -n "A tiny PC emulator/virtual machine" --output=$@ $<

## 8086tiny 125

=== Makefile ===
# 8086tiny: a tiny, highly functional, highly portable PC emulator/VM
# Copyright 2013-14, Adrian Cable (adrian.cable@gmail.com) - http://www.megalith.co.uk/8086tiny
#
# This work is licensed under the MIT License. See included LICENSE.TXT.

# 8086tiny builds with graphics and sound support
# 8086tiny_slowcpu improves graphics performance on slow platforms (e.g. Raspberry Pi)
# no_graphics compiles without SDL graphics/sound

OPTS_ALL=-O3 -fsigned-char -std=c99
OPTS_SDL=`sdl-config --cflags --libs`
OPTS_NOGFX=-DNO_GRAPHICS
OPTS_SLOWCPU=-DGRAPHICS_UPDATE_DELAY=25000

8086tiny: 8086tiny.c
	${CC} 8086tiny.c ${OPTS_SDL} ${OPTS_ALL} -o 8086tiny
	strip 8086tiny

8086tiny_slowcpu: 8086tiny.c
	${CC} 8086tiny.c ${OPTS_SDL} ${OPTS_ALL} ${OPTS_SLOWCPU} -o 8086tiny
	strip 8086tiny

no_graphics: 8086tiny.c
	${CC} 8086tiny.c ${OPTS_NOGFX} ${OPTS_ALL} -o 8086tiny
	strip 8086tiny

clean:
	rm 8086tiny
